1. Taobao Order Manage
  • API Signature & Authentication Specification
  • Alibaba[1688] Open Platform API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
      • API for 1688 Recommended Products
    • 1688 Business Opportunities
      • API for 1688 Hot Products
      • API for 1688 Hot Keywords
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Message Service
      • Callback Message Signature Verification Specification
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
  • Taobao Open Platform API
    • Taobao Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
    • Taobao Logistics
      • API for China Domestic Shipping Cost
    • Taobao Order Manage
      • Product Bunker interface
        GET
      • API for Creating Preview Order
        POST
      • API for Creating Formal Order
        POST
      • API for Canceling Formal Order
        POST
      • API for Querying Order Details
        POST
      • API for Auto Payment of Order
        POST
    • Taobao Message Service
      • Callback Message Signature Verification Specification
      • Order Status Update Message
      • Order Price Change Message
  1. Taobao Order Manage

API for Querying Order Details

POST
/taobao/purchase/order/query
API for Querying Order Details

Request

Body Params application/json

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/taobao/purchase/order/query' \
--header 'Content-Type: application/json' \
--data '{
    "appKey": "",
    "appSecret": "",
    "thirdOrderId": "",
    "purchase_ids": [200130683606],
    "status": "",
    "sort_type": "",
    "page_no": "",
    "sort_field": "",
    "page_size": "",
    "modify_time_start":1744304402000 ,
    "modify_time_end": 1744390802000
}'
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "resultsTotal": 1,
        "pageNo": 1,
        "pageSize": 10,
        "purchaseOrders": [
            {
                "receiver": {
                    "country": "中国",
                    "address": "网商路699号",
                    "city": "杭州市",
                    "district": "滨江区",
                    "state": "浙江省"
                },
                "purchaseId": 200130683606,
                "orderRemark": "No longer needed ",
                "sourceMarket": "TAOBAO",
                "purchaseCurrency": "CNY",
                "outerPurchaseId": "A000001",
                "purchaseAmount": 980,
                "modifyTime": 1785406571000,
                "supplierNick": "得力盈达专卖店",
                "domesticPostFee": 0,
                "createdTime": 1785395557000,
                "payCurrency": "CNY",
                "subPurchaseOrders": [
                    {
                        "quantity": 1,
                        "optionFields": {
                            "supplierNick": "得力盈达专卖店",
                            "serviceList": "[{\"code\":\"7d\",\"desc\":\"七天无理由退货\",\"imageUrl\":\"https://img.alicdn.com/imgextra/i4/O1CN01gk3LQL1xZoiKiMXXc_!!6000000006458-2-tps-40-40.png\",\"name\":\"七天无理由退货\"}]",
                            "en": "{\"Color classification\":\"⭐️ Try the New Outfit ⭐️ [Basic Model] 5 Yuan\"}",
                            "shopName": "得力盈达专卖店",
                            "shopId": "171076882",
                            "zh": "{\"颜色分类\":\"⭐️尝鲜装⭐️【基础款】5块\"}",
                            "skuImgUrl": "https://img.alicdn.com/bao/uploaded/i3/4174440595/O1CN016Q6s4V1GGYoDyxKpD_!!4174440595.jpg"
                        },
                        "canConfirmReceipt": false,
                        "itemCommissionRate": "0.0163",
                        "title": "【铅笔橡皮擦】得力纽赛防丢像皮檫无屑超干净不留痕小学生初中生专用高颜值卡通可爱幼儿园儿童无毒考试美术",
                        "alipayPayOrderNo": "2026073023001155501452117534",
                        "purchaseCurrency": "CNY",
                        "purchaseOrderLineOuterId": "5126707010481033829",
                        "purchaseAmount": 980,
                        "itemId": "4096158991847928",
                        "productAmount": 980,
                        "domesticPostFee": 0,
                        "purchaseOrderOuterId": "5126707010481033829",
                        "payCurrency": "CNY",
                        "subPurchaseOrderId": 200130683607,
                        "orderRemarkV2": "测试请忽略 此单为官方转运订单;不同订单不可合包发货,快递单号需上传正确。发货规则https://p.tb.cn/_4QpZE71GxG2 官方客服: https://p.tb.cn/_24PctxHDO9N",
                        "closeReason": "DISTRIBUTOR_No longer needed",
                        "skuInfo": {
                            "skuPv": {
                                "en": "{\"Color classification\":\"⭐️ Try the New Outfit ⭐️ [Basic Model] 5 Yuan\"}",
                                "zh": "{\"颜色分类\":\"⭐️尝鲜装⭐️【基础款】5块\"}"
                            },
                            "skuImgUrl": "https://img.alicdn.com/bao/uploaded/i3/4174440595/O1CN016Q6s4V1GGYoDyxKpD_!!4174440595.jpg"
                        },
                        "skuId": 27167887464952,
                        "status": "TRADE_CLOSED"
                    }
                ],
                "status": "TRADE_CLOSED"
            }
        ]
    },
    "timestamp": 1785407706778,
    "traceId": "cf631eb08ab1",
    "cost": 0
}
Previous
API for Canceling Formal Order
Next
API for Auto Payment of Order
Built with